Skip to main content

Refunds

Create and manage refunds for payments.

Create Refund​

POST https://api.invoiless.com/v1/payments/:id/refunds

Create a refund for a payment.

Example:

{
"amount": 50.0,
"method": "BankTransfer",
"reason": "CustomerRequest",
"refundedAt": "2024-01-20",
"notes": "Refund processed per customer request"
}

Path Parameters​

NameTypeDescriptionRequired
idstringPayment idYes

Header Parameters​

NameTypeDescriptionRequired
scope-idstringScope idNo

Body Parameters​

NameTypeDescriptionRequired
numberstringRefund number (max 20 characters)No
amountnumberRefund amount (must be positive, max 2 decimal places). If not provided, the full payment amount will be refundedNo
methodstringRefund method, possible values are Cash, Cheque, Card, BankTransfer, or OtherNo
reasonstringRefund reason, possible values are Duplicate, CustomerRequest, Cancelled, BillingError, Fraudulent, or OtherYes
refundedAtdateRefund dateNo, default is current date
notesstringRefund notes (max 500 characters)No
sendNotificationboolSend refund notification email to customerNo, default is false

Get Refund​

GET https://api.invoiless.com/v1/refunds/:id

Retrieve a specific refund by ID.

Path Parameters​

NameTypeDescriptionRequired
idstringRefund idYes

Get Refunds​

GET https://api.invoiless.com/v1/payments/:id/refunds

Retrieve all refunds for a specific payment.

Path Parameters​

NameTypeDescriptionRequired
idstringPayment idYes

Update Refund​

PUT https://api.invoiless.com/v1/refunds/:id

PATCH https://api.invoiless.com/v1/refunds/:id

Update an existing refund. See PUT vs PATCH for details on the differences.

Path Parameters​

NameTypeDescriptionRequired
idstringRefund idYes

Body Parameters​

Accepts the same parameters as Create Refund.

Export Credit Note​

GET https://api.invoiless.com/v1/refunds/:id/export

Export a refund's credit note as PDF. A credit note for e-invoicing is exported as a hybrid PDF with the e-invoice XML embedded (ZUGFeRD).

Path Parameters​

NameTypeDescriptionRequired
idstringRefund idYes

Query Parameters​

NameTypeDescriptionRequired
tzstringIANA time zone used to render dates, e.g. Europe/ParisNo

Delete Refund​

DELETE https://api.invoiless.com/v1/refunds/:id

Permanently delete a refund.

Path Parameters​

NameTypeDescriptionRequired
idstringRefund idYes